# event views

from analyses.analysisbase.views import event as base_views

from analyses.degradations import models as app_models
from analyses.degradations import forms as app_forms
from analyses.degradations import tables as app_tables


class MixIn(object):
    "Common items for object views"
    appconfig = app_models.AppConfig
    model = appconfig.get_model('event')

class display(MixIn, base_views.display):
    pass

class edit(MixIn, base_views.edit):
    pass

class delete(MixIn, base_views.delete):
    pass

class add_to_scenario(MixIn, base_views.add_to_scenario):
    pass

class compare(MixIn, base_views.compare):
    pass

views = {
    'display': display(),
    'edit': edit(),
    'delete': delete(),
    'add_to_scenario': add_to_scenario(),
    'compare': compare(),
}
