from django.conf.urls import *
from hazards.views import substance, reaction, main
from utils.urlhelpers import decorated_patterns
from utils.permissions import permission_required

urlpatterns = decorated_patterns('', permission_required('hazards.display_hazards'),
    url(r'^$', substance.substances(), name='hazards'),

    url(r'^substances/$', substance.substances(), name='hazards_substances'),
    url(r'^substances/(?P<object_id>\d+)/edit/$', substance.edit(), name='hazards_substance_edit'),
    url(r'^substances/(?P<object_id>\d+)/delete/$', substance.delete(), name='hazards_substance_delete'),
    url(r'^substances/(?P<object_id>\d+)/pdf/$', substance.report(), name='hazards_substance_report'),
    url(r'^substances/(?P<object_id>\d+)/(?P<tab>\w+)/$', substance.display(), name='hazards_substance'),
    url(r'^substances/add/$', substance.add(), name='hazards_substance_add'),
    url(r'^substances/(?P<object_id>\d+)/compare/(?P<version_id>\d+)/$', substance.compare(), name='hazards_substance_compare'),

    url(r'^substances/name_lookup/$', substance.name_lookup, name='hazards_substance_name_lookup'),

    url(r'^reactions/$', reaction.reactions(), name='hazards_reactions'),
    url(r'^reactions/(?P<object_id>\d+)/edit/$', reaction.edit(), name='hazards_reaction_edit'),
    url(r'^reactions/(?P<object_id>\d+)/delete/$', reaction.delete(), name='hazards_reaction_delete'),
    url(r'^reactions/(?P<object_id>\d+)/pdf/$', reaction.report(), name='hazards_reaction_report'),
    url(r'^reactions/(?P<object_id>\d+)/(?P<tab>\w+)/$', reaction.display(), name='hazards_reaction'),
    url(r'^reactions/add/$', reaction.add(), name='hazards_reaction_add'),
    url(r'^reactions/(?P<object_id>\d+)/compare/(?P<version_id>\d+)/$', reaction.compare(), name='hazards_reaction_compare'),

    url(r'^reactions/name_lookup/$', reaction.name_lookup, name='hazards_reaction_name_lookup'),

    url(r'^matrix/$', reaction.matrix(), name='hazards_matrix'),
    url(r'^matrix/pdf/$', reaction.matrix_report(), name='hazards_matrix_report'),

    url(r'^publish/$', main.publish(), name='hazards_publish'),
)

