from django.utils.translation import ugettext_lazy as _
from django.core.urlresolvers import reverse
from django.conf import settings

def base_templates(request):
    return {'TEMPLATE_BASE': 'base.html', 'IS_POPUP': False}

def popup_base_template(request):
    return {'TEMPLATE_BASE': 'popup/base.html', 'IS_POPUP': True}

def navbar(request):
    if not request.user.is_authenticated():
        return {}
    return {'navbar': [
        {'href': reverse('hazards'), 'label': _('Substances and reactions')},
        {'href': reverse('installations'), 'label': _('Scenarios')},
    ]}

def staticroot(request):
    return {'STATIC_ROOT': settings.STATIC_ROOT}

def projectname(request):
    return {'PROJECTNAME': settings.PROJECTNAME}