from django import forms
from django.utils.translation import ugettext_lazy as _
from utils import lists as utils_lists
from utils.search.models import searches

class SearchForm(utils_lists.FilterForm):
    query = forms.CharField(max_length=50, required=False, label=_('Search'))
    objecttype = forms.ChoiceField(choices=(), required=False, label=_('Object type'))
    class Meta:
        attrs = {
            'query': {'size': 40},
            }

    def __init__(self, *args, **kwargs):
        super(SearchForm, self).__init__(*args, **kwargs)
        self.fields['objecttype'].choices = utils_lists.get_filter_choices(searches.get_types())
